%define		git 91d0371562

Name:           c-icap-modules-classify
Version:        20151104
Release:        %mkrel 3
Summary:        Classification module for c-icap

Group:          System/Servers
License:        LGPLv3+
URL:            https://github.com/treveradams/C-ICAP-Classify
Source0:        C-ICAP-Classify-%{version}.zip
BuildRequires:  c-icap-devel >= 1:0.2.4
BuildRequires:	opencv-devel
BuildRequires:  tre-devel
BuildRequires:	libicu-devel
Requires:       c-icap-server

%description
This module can be setup to classify text & HTML pages as well as images. These
classifications are according to FastHyperSpace files or Intel OpenCV files
supplied by the user to recognize various image characteristics

%package -n	%{name}-training
Summary:	Programs to train FHS (Fast HyperSpace) or FNB (Fast Naive Bayes) files
Group:		System/Servers
Provides:       %{name}-training fhs_learn fhs_judge fhs_makepreload fnb_learn fnb_judge fnb_makepreload
Requires:	c-icap-modules-classify

%description -n %{name}-training
Programs to train FHS (Fast HyperSpace) or FNB (Fast Naive Bayes) files for use by c_icap_classify

%prep
%setup -q -n C-ICAP-Classify-%{version}

chmod 700 RECONF

# fix build with new automake 1.13
# sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.in

%build
./RECONF
%configure2_5x
%make 

%install
# Make some directories
install -d %{buildroot}%{_sysconfdir}

# Now do install
%makeinstall_std

# nuke unwanted devel files
rm -f %{buildroot}%{_libdir}/c_icap/srv_*.a
rm -f %{buildroot}%{_libdir}/c_icap/srv_*.la
rm -f %{buildroot}%{_libdir}/c_icap/sys_logger.la

%files
%{_libdir}/c_icap/srv_classify.so

%files training
%{_bindir}/fhs_judge
%{_bindir}/fhs_learn
%{_bindir}/fhs_makepreload
%{_bindir}/fnb_judge
%{_bindir}/fnb_learn
%{_bindir}/fnb_makepreload
%{_bindir}/fhs_findtolearn
%{_bindir}/fnb_findtolearn
%{_mandir}/man8/fhs_findtolearn.8.xz
%{_mandir}/man8/fhs_judge.8.xz
%{_mandir}/man8/fhs_learn.8.xz
%{_mandir}/man8/fhs_makepreload.8.xz
%{_mandir}/man8/fnb_findtolearn.8.xz
%{_mandir}/man8/fnb_judge.8.xz
%{_mandir}/man8/fnb_learn.8.xz
%{_mandir}/man8/fnb_makepreload.8.xz





%changelog
* Wed Mar 15 2017 mrambo3501 <mrambo3501> 20151104-3.mga6
+ Revision: 1092687
- Rebuild for icu-58.2

* Fri May 13 2016 shlomif <shlomif> 20151104-2.mga6
+ Revision: 1015048
- Rebuild due to the new ICU

* Mon Jan 18 2016 dlucio <dlucio> 20151104-1.mga6
+ Revision: 925258
- 20151104
- ICU as BR
- imported package c-icap-modules-classify


* Mon Oct 21 2013 umeabot <umeabot> 20131006-5.mga4
+ Revision: 539487
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 dlucio <dlucio> 20131006-4.mga4
+ Revision: 492269
- new snapshot
- no sed is needed
- new man pages

* Fri Jan 11 2013 umeabot <umeabot> 20121230-3.mga3
+ Revision: 347282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 dlucio <dlucio> 20121230-2.mga3
+ Revision: 337752
- new snapshoot
  c-icap 0.2.4 or higher required

* Mon Dec 31 2012 wally <wally> 20120929-2.mga3
+ Revision: 336539
- fix build with new automake 1.13

* Mon Oct 08 2012 dlucio <dlucio> 20120929-1.mga3
+ Revision: 303325
- 20120929

* Fri Jun 01 2012 fwang <fwang> 20111022-5.mga3
+ Revision: 252706
- use configure2_5x

* Tue Mar 27 2012 dlucio <dlucio> 20111022-4.mga3
+ Revision: 227176
- new stable snapshot

* Wed Nov 02 2011 dmorgan <dmorgan> 20111022-3.mga2
+ Revision: 161821
- Fix requires in the trainin sub package

* Wed Nov 02 2011 dmorgan <dmorgan> 20111022-2.mga2
+ Revision: 161454
- Remove opencv and tre requires, they are done automatically by rpm

* Tue Oct 25 2011 dlucio <dlucio> 20111022-1.mga2
+ Revision: 157906
- SPEC fixes
- imported package c-icap-modules-classify

